

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/kernel/resource.c |    8 +++++---
 1 files changed, 5 insertions(+), 3 deletions(-)

diff -puN kernel/resource.c~u64-is-not-long-long kernel/resource.c
--- 25/kernel/resource.c~u64-is-not-long-long	2005-03-01 04:13:32.000000000 -0700
+++ 25-akpm/kernel/resource.c	2005-03-01 04:14:31.000000000 -0700
@@ -85,8 +85,8 @@ static int r_show(struct seq_file *m, vo
 			break;
 	seq_printf(m, "%*s%0*llx-%0*llx : %s\n",
 			depth * 2, "",
-			width, r->start,
-			width, r->end,
+			width, (unsigned long long)r->start,
+			width, (unsigned long long)r->end,
 			r->name ? r->name : "<BAD>");
 	return 0;
 }
@@ -512,7 +512,9 @@ void __release_region(struct resource *p
 
 	write_unlock(&resource_lock);
 
-	printk(KERN_WARNING "Trying to free nonexistent resource <%16llx-%16llx>\n", start, end);
+	printk(KERN_WARNING "Trying to free nonexistent resource "
+		"<%16llx-%16llx>\n", (unsigned long long)start,
+		(unsigned long long)end);
 }
 
 EXPORT_SYMBOL(__release_region);
_
